package com.nationrel.modules.pdsc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nationrel.modules.pdsc.entity.JeecgOrderTicket;
import com.nationrel.modules.pdsc.mapper.JeecgOrderTicketMapper;
import com.nationrel.modules.pdsc.service.IJeecgOrderTicketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 订单机票
 * @Author: jeecg-boot
 * @Date: 2019-02-15
 * @Version: V1.0
 */
@Service
public class JeecgOrderTicketServiceImpl extends ServiceImpl<JeecgOrderTicketMapper, JeecgOrderTicket> implements IJeecgOrderTicketService {
    @Autowired
    private JeecgOrderTicketMapper jeecgOrderTicketMapper;

    @Override
    public List<JeecgOrderTicket> selectTicketsByMainId(String mainId) {
        return jeecgOrderTicketMapper.selectTicketsByMainId(mainId);
    }

}
