package com.nationrel.modules.pdsc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nationrel.modules.pdsc.entity.JeecgOrderCustomer;
import com.nationrel.modules.pdsc.mapper.JeecgOrderCustomerMapper;
import com.nationrel.modules.pdsc.service.IJeecgOrderCustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 订单客户
 * @Author: jeecg-boot
 * @Date: 2019-02-15
 * @Version: V1.0
 */
@Service
public class JeecgOrderCustomerServiceImpl extends ServiceImpl<JeecgOrderCustomerMapper, JeecgOrderCustomer> implements IJeecgOrderCustomerService {

    @Autowired
    private JeecgOrderCustomerMapper jeecgOrderCustomerMapper;

    @Override
    public List<JeecgOrderCustomer> selectCustomersByMainId(String mainId) {
        return jeecgOrderCustomerMapper.selectCustomersByMainId(mainId);
    }

}
